features:
  secondary:
  - name: "Active scan mode in on-demand DAST scanner profile"
    available_in: [ultimate]
    documentation_link: 'https://docs.gitlab.com/ee/user/application_security/dast/#on-demand-scan-modes'
    reporter: derekferguson
    stage: application_security_testing
    categories:
    - 'DAST'
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/254200'
    description: |
      Used in conjunction with the new site validation feature, active DAST scans are now available for configuration in the on-demand DAST scanner profile. After validating a site for ownership, you can configure an active scan to run against the site. These scans include actual, destructive, malicious attacks against the site. Because of this, we recommend and encourage that you only use an active scan on staging and test sites that do not contain production data, where data loss is not a concern.
